Bug 501758 - gpk-update failed because some packages were not signed and messed up the rpm database
gpk-update failed because some packages were not signed and messed up the rpm...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 11:49 EDT by Eddie Lania
Modified: 2009-06-25 11:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 11:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eddie Lania 2009-05-20 11:49:28 EDT
Description of problem:gpk-update failed because some packages were not signed and messed up the rpm database

There were 17 packages to update on my system and I used the gpk-update-viewer app to start the update process.

2 packages, rpcbind ( bug 501747 )and libtirpc ( bug 501748 ) were not signed and caused to stop the update process leaving an error message on the screen.

Now the other packages are clearly not updated but it seems that gpk-update has altered the rpm database to mark those packages as installed.

the gpk-update and yum log files do not show these packages to have been updated.

I think they are not updated at all but because I cannot trace the failed packages from any log file anymore, I am unable to recall the list of failed packages.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Eddie Lania 2009-05-21 02:44:50 EDT
All packages that gpk-update tried to update have failed because of the
unsigned rpcbind and libtirpc packages and messed up the rpm database so that
they no longer appear in the list of packages to update.

I could download them and force re-install but that is also not possible because
I do not have a list of the failed packages so I don't know which packages it
were.

Help me please.

Eddie
Comment 2 Eddie Lania 2009-05-21 03:22:18 EDT
I don't know if someone can confirm this bug yet but I think this may affect other fedora releases as well.

Maybe someone can check it a.s.a.p.?
Comment 3 Bug Zapper 2009-06-09 12:11:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Richard Hughes 2009-06-25 05:25:52 EDT
PackageKit doesn't actually do the installing, yum does. Can you please describe in detail how to reproduce this bug please.
Comment 5 Eddie Lania 2009-06-25 11:36:16 EDT
Sorry, bit you can't actually reproduce this bug unless there are unsigned packages in the repository that you need to install.

Please close this bug, if it ever happens again I will open a new bug for it.

Regards,

Eddie.

Note You need to log in before you can comment on or make changes to this bug.